## libsndfile 1.0.28

=== debian/changelog ===
libsndfile (1.0.28-8) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * examples: Decouple from config.h.
    This allows them to be built standalone, without the rest of the
    libsndfile source tree. This is useful because config.h is
    architecture-dependent, preventing multi-arch co-installation.
  * Mark libsndfile1-dev as Multi-Arch: same.  (Closes: #960445; LP: #1720725)
  * Add a superficial compile/link/execute autopkgtest for libsndfile1-dev.

  [ Mattia Rizzolo ]
  * d/control: Bump debhelper compat level to 13.
    + Add the .la file to d/not-installed.
  * d/rules: Remove now obsolete --dbgsym-migration option.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 May 2020 17:33:03 +0200

libsndfile (1.0.28-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Feb 2020 10:59:43 +0100

libsndfile (1.0.28-6) unstable; urgency=medium

  * Backported fix for out-of-bound reading (CVE-2019-3832) (Closes: #922372)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 08 Mar 2019 20:35:07 +0100

libsndfile (1.0.28-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Normalize patches with 'gbp pq'
  * Add patch to fix buffer overflows in alaw/ulaw code
    (CVE-2018-19661, CVE-2018-19662, CVE-2017-17456 and CVE-2017-17457).
    Thanks to Hugo Lefeuvre <hle@owl.eu.com> (Closes: #884735)
  * Patch to fix division by zero (CVE-2017-14634)
    Thanks to Fabian Greffrath <fabian@greffrath.com> (Closes: #876783)
  * Patch to fix heap read overflow (CVE-2018-19758)
    Thanks to Erik de Castro Lopo <erikd@mega-nerd.com> (Closes: #917416)
  * Patch to ensure that maxnum channels is not exceeded.
    Thanks to Brett T. Warden <brett.t.warden@intel.com>
  * Declare that "root" is not required to build this package
  * Removed whitespace at end of d/changelog
  * Bumped dh compat to 12
  * Bump standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 15:59:58 +0100

libsndfile (1.0.28-4) unstable; urgency=medium

  * Moved maintainance to pkg-multimedia team
  * Made examples buildable (and build reproducible)
  * Dropped doubly installed docs
  * Dropped B-D on autotools-dev
  * Bumped standards version to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Aug 2017 14:21:33 +0200

libsndfile (1.0.28-3) unstable; urgency=medium

  * Backported heap-overflow fix from upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Jul 2017 23:22:54 +0200

libsndfile (1.0.28-2) unstable; urgency=medium

  * Backported fixes for RF64 support on armel/armhf (Closes: #865344)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 21:35:50 +0200

libsndfile (1.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.28

  * d/patches/
    * Removed patches applied upstream
    * Refreshed patches
    * Backported patch for fixing CVE-2017-6892
      (Closes: #864704)
    * Fixed more typos
  * d/control: single line per Depends
  * Switched packaging to shorthand dh
    * Build automatic debug packages
    * Dropped setting of DEB_*_GNU_TYPE and friends
  * Raised debhelper compat to 10
    * Dropped B-D on dh-autoreconf
    * B-D on autotools-dev
  * Use DEP5 for d/copyright
  * Bumped standards version to 4.0.0
  *

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 15:03:55 +0200
