=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017 IOhannes m zmölnig
# under the LGPL-2.1+

DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	-find man/ -type l -delete
