=== debian/tests/control ===
Tests: libsndfile1-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libsndfile1-dev
