## libsndfile 1.0.28.2

=== debian/changelog ===
libsndfile (1.0.28.2-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 09 Aug 2021 16:22:44 +0800

libsndfile (1.0.28.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 04:00:11 +0000
