## libsndfile 1.0.28.3

=== debian/changelog ===
libsndfile (1.0.28.3-1+deepin) unstable; urgency=medium

  * fix CVE-2021-4156.

 -- dinghao <dinghao@uniontech.com>  Thu, 27 Oct 2022 15:58:28 +0800
