=== debian/changelog ===
libsndfile (1.0.31-2ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2021-4156.patch: addresses improper buffer reusing
    - CVE-2021-4156
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2024-50612.patch: adds better error checking for
      vorbis.
    - CVE-2024-50612

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 12 Feb 2025 23:51:50 +0200

libsndfile (1.0.31-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: integer overflow vulnerability
    - debian/patches/CVE-2022-33065/CVE-2022-33065-*.patch: fix various
      numeric overflow vulnerabilities.
    - CVE-2022-33065

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 02 Nov 2023 16:42:46 +0100

libsndfile (1.0.31-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:47 +0100

libsndfile (1.0.31-2) unstable; urgency=medium

  * Team upload

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTBFS with DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #984746)

  [ Sebastian Ramacher ]
  * debian/patches: Apply upstream fix for CVE-2021-3246 (Closes: #991496)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Jul 2021 23:09:17 +0200

libsndfile (1.0.31-1) unstable; urgency=medium

  * New upstream version 1.0.31
    * (LP: #1807823, #1807825, #1807826, #900332, #999994)
    * (LP: #1036831, #1546685)
    * Refresh patches
  * Register documentation as markdown (aka: text) rather than html

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 23:05:07 +0100

libsndfile (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
    * Drop patches applied upstream
    * Refresh patches
    * Fix more typos
  * Re-arranged B-Ds alphabetically
  * B-D on autogen, python3 & libopus-dev
  * Have libsndfile-dev depend on libopus-dev
  * Run upstream testsuite as autopkgtest
    * Include test-suite in libsndfile1-dev
  * Fix false-positive of salsa-pipeline "blhc"
  * Update d/copyright to handle filerenames
  * Updated d/watch to point to github
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Jan 2021 16:24:15 +0100
