=== debian/control ===
--- 
+++ 
@@ -1,31 +1,36 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ autogen,
  pkg-config,
+ libasound2-dev [linux-any],
+ libflac-dev (>= 1.1.4-3),
+ libopus-dev,
  libvorbis-dev (>= 1.2.3),
- libflac-dev (>= 1.1.4-3),
- libasound2-dev [linux-any],
+ python3,
 Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 
 Package: libsndfile1-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
+ ${misc:Depends}, ${shlibs:Depends},
  libsndfile1 (= ${binary:Version}),
  pkg-config,
+ libflac-dev (>= 1.1.4-3),
+ libopus-dev,
  libvorbis-dev (>= 1.2.3),
- libflac-dev (>= 1.1.4-3),
 Conflicts: libsndfile-dev,
  libsndfile0-dev
 Replaces: libsndfile-dev
