=== debian/watch ===
version=4
opts=dversionmangle=s/~(dfsg|ds|repack)(\.?[0-9]*)?$// \
  https://github.com/libsndfile/libsndfile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
