=== debian/changelog ===
libsndfile (1.2.0-1+deb12u1) bookworm; urgency=medium

  * CVE-2022-33065 (Closes: #1051891)
  * CVE-2024-50612 (Closes: #1088692)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 24 Aug 2025 15:45:51 +0200

libsndfile (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.0
  * Bump Standards-Version to 4.6.2
  * Refresh patchset, drop patches applied by upstream

 -- Dennis Braun <snd@debian.org>  Sat, 31 Dec 2022 15:51:23 +0100

libsndfile (1.1.0-3) unstable; urgency=medium

  * Add patch to fix clipping of non-int32 numbers
  * Mark patches as applied upstream
  * Fix typo in d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Oct 2022 10:47:11 +0200

libsndfile (1.1.0-2) unstable; urgency=medium

  * Add patch to use fuzzy comparison in test-suite

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Sep 2022 11:03:40 +0200

libsndfile (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    (contains a fix for CVE-2021-4156)
    (Closes: #1014713)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Update Build-Dependencies for new upstream powers
  * Fix FTCBFS: Annotate Build-Depends: python3 with :any.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1003506)
  * libsndfile-dev
    * Add patch to fix pkg-config file
    * Update docs/install
    * Depend on libmpg123-dev
    * Demote dependency on pkg-config to Recommends
    * Have autopkgtests B-D on pkg-config
  * Use execute_after_dh_* instead of override_dh_*
  * Add B-D stanza to symbols file
  * Update d/copyright
    * Refresh d/copyright
    * Merge duplicate entries in d/copyright
    * Bump dates in d/copyright
    * Add missing licenses
    * Add 'licensecheck' target
    * Generate d/copyright_hints
  * Run 'wrap-and-sort -ast'
  * Fix d/watch
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Sep 2022 22:39:21 +0200
