=== debian/control ===
--- 
+++ 
@@ -1,40 +1,50 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ autogen,
  debhelper-compat (= 13),
- autogen,
+ libasound2-dev [linux-any],
+ libflac-dev,
+ libmp3lame-dev,
+ libmpg123-dev,
+ libogg-dev,
+ libopus-dev,
+ libspeex-dev,
+ libsqlite3-dev <!nocheck>,
+ libvorbis-dev,
  pkg-config,
- libasound2-dev [linux-any],
- libflac-dev (>= 1.1.4-3),
- libopus-dev,
- libvorbis-dev (>= 1.2.3),
- python3,
+ python3:any,
 Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 
 Package: libsndfile1-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends}, ${shlibs:Depends},
+ libflac-dev,
+ libmpg123-dev,
+ libopus-dev,
  libsndfile1 (= ${binary:Version}),
+ libvorbis-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  pkg-config,
- libflac-dev (>= 1.1.4-3),
- libopus-dev,
- libvorbis-dev (>= 1.2.3),
-Conflicts: libsndfile-dev,
- libsndfile0-dev
-Replaces: libsndfile-dev
-Provides: libsndfile-dev
+Conflicts:
+ libsndfile-dev,
+ libsndfile0-dev,
+Replaces:
+ libsndfile-dev,
+Provides:
+ libsndfile-dev,
 Description: Development files for libsndfile; a library for reading/writing audio files
  libsndfile is a library of C routines for reading and writing files containing
  sampled audio data.
@@ -46,7 +56,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -66,7 +77,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: sndfile-tools
+Recommends:
+ sndfile-tools,
 Description: Sample programs that use libsndfile
  This package contains simple programs which use libsndfile for operating on
  sound files.
