## libsndfile 1.2.2

=== debian/changelog ===
libsndfile (1.2.2-3) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Replace Build-Depends: python3:any with dh-sequence-python3
  * Replace pkg-config with pkgconf in the test suite
  * Drop obsolete debian/README.source file

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Force "C" standard to C99 (Closes: #1097272)
  * Update copyright information
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Sep 2025 12:23:08 +0200

libsndfile (1.2.2-2) unstable; urgency=high

  [ Fabian Toepfer ]
  * SECURITY UPDATE: integer overflow vulnerability (Closes: #1051891)
    - debian/patches/CVE-2022-33065/CVE-2022-33065-*.patch: fix various
      numeric overflow vulnerabilities.
    - CVE-2022-33065

  [ Fabian Greffrath ]
  * Add myself to Uploaders and Debian packaging copyright holders
  * Update the Homepage field
  * Apply patch from upstream to improve error checking for Vorbis
    (Closes: #1088692) CVE-2024-50612
  * Fix Build dependency loop between libsndfile and lame
    (Closes: #1076516) Thanks Samuel Thibault for the patch
  * Upload with urgency=high for the security fixes

 -- Fabian Greffrath <fabian@debian.org>  Sat, 14 Dec 2024 13:50:37 +0100

libsndfile (1.2.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove remaining build artifacts on 'clean' (Closes: #1046007)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Aug 2023 14:34:05 +0200
