=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+ Fabian Greffrath <fabian@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  autogen,
- debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libflac-dev,
- libmp3lame-dev,
- libmpg123-dev,
+ libmp3lame-dev <!pkg.libsndfile.nompeg3>,
+ libmpg123-dev <!pkg.libsndfile.nompeg3>,
  libogg-dev,
  libopus-dev,
  libspeex-dev,
  libsqlite3-dev <!nocheck>,
  libvorbis-dev,
- pkg-config,
- python3:any,
+ pkgconf,
 Rules-Requires-Root: no
-Homepage: http://www.mega-nerd.com/libsndfile/
+Homepage: https://libsndfile.github.io/libsndfile/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsndfile.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsndfile
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: libsndfile1-dev
 Section: libdevel
@@ -30,14 +31,14 @@
 Multi-Arch: same
 Depends:
  libflac-dev,
- libmpg123-dev,
+ libmpg123-dev <!pkg.libsndfile.nompeg3>,
  libopus-dev,
  libsndfile1 (= ${binary:Version}),
  libvorbis-dev,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- pkg-config,
+ pkgconf,
 Conflicts:
  libsndfile-dev,
  libsndfile0-dev,
