=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # under the LGPL-2.1+
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=c99
 
 %:
 	dh $@
@@ -21,8 +22,15 @@
 	find debian/libsndfile1-dev/usr/lib/ -name "*.sh" -exec \
 		chmod +x {} +
 
+################ d/copyright helper ##############
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --check '.*' --recursive --deb-machine --lines 0 * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
